com.ihr.xbrl.pojo

## Class XBRLFactFraction

- java.lang.Object
- - com.ihr.xbrl.pojo.XMLNode
  - - com.ihr.xbrl.pojo.XMLFragment
    - - com.ihr.xbrl.pojo.XBRLFact
      - - com.ihr.xbrl.pojo.XBRLFactItem
        - - com.ihr.xbrl.pojo.XBRLFactNumeric
          - - com.ihr.xbrl.pojo.XBRLFactFraction

- All Implemented Interfaces:
    HasId, java.io.Serializable

      public class XBRLFactFraction
      extends XBRLFactNumeric

  The Class XBRLFactFraction.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFactFraction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getDenominatorValue()` Gets the denominator value.
    `java.lang.Double` | `getNumeratorValue()` Gets the numerator value.
    `void` | `setDenominatorValue(java.lang.Double denominatorValue)` Sets the denominator value.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setNumeratorValue(java.lang.Double numeratorValue)` Sets the numerator value.

    - ### Methods inherited from class com.ihr.xbrl.pojo.XBRLFactNumeric

      `getFormat, getPrecision, getUnit, setFormat, setPrecision, setUnit`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XBRLFactItem

      `getContext, getProperties, setContext, setProperties`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XBRLFact

      `getConcept, getFrom, getInstance, getParent, getTo, isNill, setConcept, setFrom, setInstance, setNill, setParent, setTo`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLFragment

      `addAttribute, addChildren, equals, getAttributes, getChildren, getNamespaces, hashCode, removeAttribute, removeChildren, setNamespaces`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLNode

      `getId, getName, getValue, setHash, setId, setName, setValue`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLFactFraction

          public XBRLFactFraction()

  - ### Method Detail

    - #### getNumeratorValue

          public java.lang.Double getNumeratorValue()

      Gets the numerator value.
      Returns:
        the numeratorValue

    - #### setNumeratorValue

          public void setNumeratorValue(java.lang.Double numeratorValue)

      Sets the numerator value.
      Parameters:
        `numeratorValue` - the numeratorValue to set

    - #### getDenominatorValue

          public java.lang.Double getDenominatorValue()

      Gets the denominator value.
      Returns:
        the denominatorValue

    - #### setDenominatorValue

          public void setDenominatorValue(java.lang.Double denominatorValue)

      Sets the denominator value.
      Parameters:
        `denominatorValue` - the denominatorValue to set

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash